// Fonts
@import url('@fontsource/ubuntu/300.css');
@import url('@fontsource/ubuntu/400.css');
@import url('@fontsource/ubuntu/500.css');
@import url('@fontsource/ubuntu/700.css');

.-flex {
  .rui-field:not(:first-child) {
    margin-top: 0;
  }
}

// This one may not end in RiseUI
.rui-widget {
  border-radius: var(--border-radius);
  background-color: var(--component-content-background);

  &__header {
    display: flex;
    align-items: center;
    padding: var(--spacer-small) var(--spacer-default);

    &__title {
      flex-grow: 1;
      padding: 0;
      margin: 0;
    }
  }

  &__content {
    padding: var(--spacer-small) var(--spacer-default);
    border-top: 1px solid var(--border-color);
  }

  &--alt {
    background-color: var(--component-content-background-alt);

    .rui-widget__content {
      border-top-color: var(--border-color-alt);
    }
  }
}

// Improve readability of the "help lines" in a help button.
// FIXME: Selector is a bit risky
// When backporting, change the component not to use the rui-icon.
.rui-help-button__content ul.-unstyled li {
  padding: var(--spacer-tiny) 0;
  border-top: 1px solid var(--component-content-background-alt);

  & > .rui-icon-text {
    gap: var(--spacer-default);

    .rui-icon {
      align-self: start;
      font-size: var(--font-size-base)
    }
  }
}

input[disabled] {
  cursor: not-allowed;

  &[type="checkbox"],
  &[type="radio"]{
    opacity: 0.5;
  }
}
